BSI Refrigeration
Showing 157–168 of 363 results
-
BSI Dual Temperature Glass Door Pharmacy Vaccine Combo Refrigerator/Freezer (-30°C) | 9.2 Cu. Ft.
Item #: PH-BSI-HC-RFC1030G$4,326.00$3,028.20 VIEW PRODUCT -
BSI Silver Series Dual Temperature Glass Door Pharmacy Vaccine Combo Refrigerator/Freezer (-30°C) | 9.2 Cu. Ft.
Item #: PH-BSI-HC-RFC1030G$5,264.00$3,684.80 VIEW PRODUCT -
BSI Silver Series Dual Temperature Glass Door Pharmacy Vaccine Combo Refrigerator/Freezer (-40°C) | 9.2 Cu. Ft.
Item #: PH-BSI-HC-RFC1040G$5,694.00$3,985.80 VIEW PRODUCT -
BSI Silver Series Dual Temperature Solid Door Laboratory Refrigerator & Freezer | 9.2 Cu. Ft.
Item #: BSI-HC-RFC1020$4,730.00$3,311.00 VIEW PRODUCT -
BSI Silver Series Dual Temperature Solid Door Laboratory Refrigerator/Freezer (-40°C) | 9.2 Cu. Ft.
Item #: BSI-HC-RFC1040$5,472.00$3,830.40 VIEW PRODUCT -
BSI Silver Series Dual Temperature Solid Door Pharmacy Vaccine Combo Refrigerator/Freezer (-20°C) | 9.2 Cu. Ft.
Item #: PH-BSI-HC-RFC1020$5,040.00$3,528.00 VIEW PRODUCT -
BSI Silver Series Dual Temperature Solid Door Pharmacy Vaccine Combo Refrigerator/Freezer (-30°C)| 9.2 Cu. Ft.
Item #: PH-BSI-HC-RFC1030$5,352.00$3,746.40 VIEW PRODUCT -
BSI Silver Series Dual Temperature Solid Door Pharmacy Vaccine Combo Refrigerator/Freezer (-40°C) | 9.2 Cu. Ft.
Item #: PH-BSI-HC-RFC1040$5,784.00$4,048.80 VIEW PRODUCT -
BSI Silver Series 10 Cu. Ft. Compact Laboratory Refrigerator | Hinged Glass Door
Item #: B2X-10-HG$3,511.18$2,745.11 VIEW PRODUCT -
BSI Silver Series 10 Cu. Ft. Compact Laboratory Refrigerator | Solid Door
Item #: B2X-10-SD$3,511.18$2,745.11 VIEW PRODUCT -
BSI Silver Series Compact Glass Door Laboratory Refrigerator | 10.5 Cu. Ft.
Item #: BSI-HC-10PG$3,960.00$2,772.00 VIEW PRODUCT -
BSI Silver Series Compact Glass Door Pharmacy Vaccine Refrigerator | 10.5 Cu. Ft.
Item #: PH-BSI-HC-10PG$4,144.00$2,900.80 VIEW PRODUCT











